org.eclipse.eef

## Enum EEF_VALIDATION_SEVERITY_DESCRIPTION

- java.lang.Object
- - java.lang.Enum<EEF_VALIDATION_SEVERITY_DESCRIPTION>
  - - org.eclipse.eef.EEF_VALIDATION_SEVERITY_DESCRIPTION

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<EEF_VALIDATION_SEVERITY_DESCRIPTION>, org.eclipse.emf.common.util.Enumerator

    public enum EEF_VALIDATION_SEVERITY_DESCRIPTION
    extends java.lang.Enum<EEF_VALIDATION_SEVERITY_DESCRIPTION>
    implements org.eclipse.emf.common.util.Enumerator

A representation of the literals of the enumeration 'EEF VALIDATION SEVERITY DESCRIPTION', and utility methods for working with them.

See Also:
  `EefPackage.getEEF_VALIDATION_SEVERITY_DESCRIPTION()`

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ERROR` The 'ERROR' literal object.
`INFO` The 'INFO' literal object.
`WARNING` The 'WARNING' literal object.

### Field Summary

Fields
`static int` `ERROR_VALUE` The 'ERROR' literal value.
`static int` `INFO_VALUE` The 'INFO' literal value.
`static java.util.List<EEF_VALIDATION_SEVERITY_DESCRIPTION>` `VALUES` A public read-only list of all the 'EEF VALIDATION SEVERITY DESCRIPTION' enumerators.
`static int` `WARNING_VALUE` The 'WARNING' literal value.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static EEF_VALIDATION_SEVERITY_DESCRIPTION` `get(int value)` Returns the 'EEF VALIDATION SEVERITY DESCRIPTION' literal with the specified integer value.
`static EEF_VALIDATION_SEVERITY_DESCRIPTION` `get(java.lang.String literal)` Returns the 'EEF VALIDATION SEVERITY DESCRIPTION' literal with the specified literal value.
`static EEF_VALIDATION_SEVERITY_DESCRIPTION` `getByName(java.lang.String name)` Returns the 'EEF VALIDATION SEVERITY DESCRIPTION' literal with the specified name.
`java.lang.String` `getLiteral()`
`java.lang.String` `getName()`
`int` `getValue()`
`java.lang.String` `toString()` Returns the literal value of the enumerator, which is its string representation.
`static EEF_VALIDATION_SEVERITY_DESCRIPTION` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static EEF_VALIDATION_SEVERITY_DESCRIPTION[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### INFO

    public static final EEF_VALIDATION_SEVERITY_DESCRIPTION INFO

The 'INFO' literal object. The severity used to describe a piece of information.

See Also:
  `INFO_VALUE`

#### WARNING

    public static final EEF_VALIDATION_SEVERITY_DESCRIPTION WARNING

The 'WARNING' literal object. The severity used to describe a warning.

See Also:
  `WARNING_VALUE`

#### ERROR

    public static final EEF_VALIDATION_SEVERITY_DESCRIPTION ERROR

The 'ERROR' literal object. The severity used to describe an error.

See Also:
  `ERROR_VALUE`

### Field Detail

#### INFO_VALUE

    public static final int INFO_VALUE

The 'INFO' literal value. The severity used to describe a piece of information.

See Also:
  `INFO`, Constant Field Values

#### WARNING_VALUE

    public static final int WARNING_VALUE

The 'WARNING' literal value. The severity used to describe a warning.

See Also:
  `WARNING`, Constant Field Values

#### ERROR_VALUE

    public static final int ERROR_VALUE

The 'ERROR' literal value. The severity used to describe an error.

See Also:
  `ERROR`, Constant Field Values

#### VALUES

    public static final java.util.List<EEF_VALIDATION_SEVERITY_DESCRIPTION> VALUES

A public read-only list of all the 'EEF VALIDATION SEVERITY DESCRIPTION' enumerators.

### Method Detail

#### values

    public static EEF_VALIDATION_SEVERITY_DESCRIPTION[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (EEF_VALIDATION_SEVERITY_DESCRIPTION c : EEF_VALIDATION_SEVERITY_DESCRIPTION.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static EEF_VALIDATION_SEVERITY_DESCRIPTION valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### get

    public static EEF_VALIDATION_SEVERITY_DESCRIPTION get(java.lang.String literal)

Returns the 'EEF VALIDATION SEVERITY DESCRIPTION' literal with the specified literal value.

Parameters:
  `literal` - the literal.
Returns:
  the matching enumerator or `null`.

#### getByName

    public static EEF_VALIDATION_SEVERITY_DESCRIPTION getByName(java.lang.String name)

Returns the 'EEF VALIDATION SEVERITY DESCRIPTION' literal with the specified name.

Parameters:
  `name` - the name.
Returns:
  the matching enumerator or `null`.

#### get

    public static EEF_VALIDATION_SEVERITY_DESCRIPTION get(int value)

Returns the 'EEF VALIDATION SEVERITY DESCRIPTION' literal with the specified integer value.

Parameters:
  `value` - the integer value.
Returns:
  the matching enumerator or `null`.

#### getValue

    public int getValue()

Specified by:
  `getValue` in interface `org.eclipse.emf.common.util.Enumerator`

#### getName

    public java.lang.String getName()

Specified by:
  `getName` in interface `org.eclipse.emf.common.util.Enumerator`

#### getLiteral

    public java.lang.String getLiteral()

Specified by:
  `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`

#### toString

    public java.lang.String toString()

Returns the literal value of the enumerator, which is its string representation.

Overrides:
  `toString` in class `java.lang.Enum<EEF_VALIDATION_SEVERITY_DESCRIPTION>`